function [ COMX COMY] = CenterOfMass(A,x,r,t)
%find center of mass time-dependent
nx=length(x);
nr=length(r);
nt=length(t);
COMX=zeros(1,nt);
COMY=zeros(1,nt);
TOTMASS=zeros(1,nt);


for it = 1:nt
    for ix=1:nx-1
        x1=x(ix);
        x2=x(ix+1);
        for ir=1:nr-1
            r1=r(ir);
            r2=r(ir+1);
            Cx1r1=A(ir,ix,it);
            Cx1r2=A(ir+1,ix,it);
            Cx2r1=A(ir,ix+1,it);
            Cx2r2=A(ir+1,ix+1,it);
            [a b c d] = fit4 (x1,x2,r1,r2,Cx1r1,Cx1r2,Cx2r1,Cx2r2);
            Mass=(0.2e1/0.3e1*c*pi*(r2^3-r1^3)+a*pi*(r2^2-r1^2))* ...
                 (x2^2-x1^2)/0.2e1+0.2e1/0.3e1*b*pi*(r2^3-r1^3)*(x2- ...
                 x1)+d*pi*(r2^2-r1^2)*(x2-x1);
             TOTMASS(it)=TOTMASS(it)+Mass;
             COMX(it)=COMX(it)+(x1+x2)/2*Mass;
             COMY(it)=COMY(it)+(r1+r2)/2*Mass;
        end
    end
    if(TOTMASS(it) > 0 )
    COMX(it)=COMX(it)/TOTMASS(it);
    COMY(it)=COMY(it)/TOTMASS(it);
    else
        COMX(it)=0;
        COMY(it)=0;
    end
end
end

